Bug 1642551 - qemu-kvm-tools-rhev depends on libxkbcommon, but the RPM-level dependency is missing
Summary: qemu-kvm-tools-rhev depends on libxkbcommon, but the RPM-level dependency is ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.6
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Miroslav Rezanina
QA Contact: Chao Yang
URL:
Whiteboard:
Depends On:
Blocks: 1646822
TreeView+ depends on / blocked
 
Reported: 2018-10-24 16:10 UTC by Jason Joyce
Modified: 2019-08-22 09:21 UTC (History)
3 users (show)

Fixed In Version: qemu-kvm-rhev-2.12.0-21.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1646822 (view as bug list)
Environment:
Last Closed: 2019-08-22 09:19:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2553 None None None 2019-08-22 09:21:28 UTC

Description Jason Joyce 2018-10-24 16:10:58 UTC
Description of problem:
During testing for OpenStack with qemu-kvm-tools-rhev, shared library testing revealed that a missing symbol was found for libxkbcommon. Checking the spec file, no explicit require is on libxkbcommon and rpm -i did not complain about missing dependencies.


Version-Release number of selected component (if applicable):

qemu-kvm-tools-rhev-2.12.0-18.el7

How reproducible:
Always

Steps to Reproduce:
1. rpm -i qemu-kvm-tools-rhev-2.12.0-18.el7
2. ldd /usr/bin/qemu-keymap

Actual results:
/usr/bin/qemu-keymap: libxkbcommon.so.0 => not found


Expected results:
/usr/bin/qemu-keymap: libxkbcommon.so.0 => (address)

Additional info:
'yum install libxkbcommon' will resolve the issue. However a 'yum install qemu-kvm-tools-rhev' does not pull in libxkbcommon.

Comment 2 Lon Hohberger 2018-10-24 16:12:38 UTC
The qemu-kvm-rhev.spec file does not have Autoreq: 0. Yet, oddly, the qemu-kvm-tools-rhev package does not pick up libxkbcommon despite utilizing it.

Comment 8 Miroslav Rezanina 2019-01-02 11:37:15 UTC
Fix included in qemu-kvm-rhev-2.12.0-21.el7

Comment 10 Chao Yang 2019-03-20 03:49:35 UTC
Reproduced with qemu-kvm-tools-rhev-2.12.0-20.el7.x86_64.

yum install qemu-kvm-tools-rhev-2.12.0-20.el7.x86_64 succeeded. However:

# ldd /usr/bin/qemu-keymap
	libxkbcommon.so.0 => not found

# rpm -q --requires qemu-kvm-tools-rhev
/usr/bin/python
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1


# qemu-keymap --help
qemu-keymap: error while loading shared libraries: libxkbcommon.so.0: cannot open shared object file: No such file or directory


-----------------------


Verified pass with qemu-kvm-tools-rhev-2.12.0-24.el7.x86_64

....

========================================================================================================================================
 Package                       Arch         Version                           Repository                                           Size
========================================================================================================================================
Installing:
 qemu-img-rhev                 x86_64       10:2.12.0-24.el7                  /qemu-img-rhev-2.12.0-24.el7.x86_64                 5.1 M
 qemu-kvm-common-rhev          x86_64       10:2.12.0-24.el7                  /qemu-kvm-common-rhev-2.12.0-24.el7.x86_64          3.6 M
 qemu-kvm-rhev                 x86_64       10:2.12.0-24.el7                  /qemu-kvm-rhev-2.12.0-24.el7.x86_64                  15 M
 qemu-kvm-rhev-debuginfo       x86_64       10:2.12.0-24.el7                  /qemu-kvm-rhev-debuginfo-2.12.0-24.el7.x86_64        83 M
 qemu-kvm-tools-rhev           x86_64       10:2.12.0-24.el7                  /qemu-kvm-tools-rhev-2.12.0-24.el7.x86_64           820 k
Installing for dependencies:
 ipxe-roms-qemu                noarch       20180825-2.git133f4c.el7          rhel7.7                                             802 k
 libxkbcommon                  x86_64       0.7.1-3.el7                       rhel7.7                                             108 k



# rpm -q --requires qemu-kvm-tools-rhev
/usr/bin/python
libxkbcommon  <--------------
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1



# qemu-keymap --help
qemu-keymap: invalid option -- '-'

This tool generates qemu reverse keymaps from xkb keymaps,
which can be used with the qemu "-k" command line switch.

usage: qemu-keymap <options>

Comment 12 errata-xmlrpc 2019-08-22 09:19:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2553


Note You need to log in before you can comment on or make changes to this bug.